﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartClearAxisDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<50; i++)
            {
                Data.Add(new SampleData() { Date = DateTime.Today.AddDays(i), Value = i });
            }
        }
    }

    public class SampleData
    {
        public DateTime Date { get; set; }
        public int Value { get; set; }
    }
}
